Page MenuHomePhabricator

Allow mass-suppression on Special:Undelete
Closed, ResolvedPublic

Description

Author: mike.lifeguard+bugs

Description:
What it says on the tin. This is to match the history page.


Version: 1.20.x
Severity: enhancement

Details

Reference
bz20189
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 10:58 PM
bzimport set Reference to bz20189.

There are already checkboxes on Special:Undelete which are used for restoring selected revisions. It'd be good to use them as well for revision-deleting selected revisions.

Boxes for Special:Log (e. g. Special:Log/globalauth unless [[bugzilla:18183]] or [[bugzilla:18060]] aren't fixed yet) would be useful, too.

mike.lifeguard+bugs wrote:

(In reply to comment #2)

Boxes for Special:Log (e. g. Special:Log/globalauth unless [[bugzilla:18183]]
or [[bugzilla:18060]] aren't fixed yet) would be useful, too.

This is probably a higher priority from a workflow/usability perspective, as this is the bulk of the work on Meta by far.

aaron added a comment.Sep 24 2009, 6:04 PM

*** Bug 20629 has been marked as a duplicate of this bug. ***

aaron added a comment.Oct 1 2009, 6:38 PM

*** Bug 20927 has been marked as a duplicate of this bug. ***

wikipedia.phantomsteve wrote:

I think this would be a useful addition to the RevDel capabilities

aaron added a comment.Jul 22 2011, 6:56 PM

*** Bug 23738 has been marked as a duplicate of this bug. ***

Fixed Special:Log in Gerrit change 6904.

I see that the Gerrit change has also added useless checkboxes to the log snippets, e.g. when viewing the contributions of a blocked user or when editing a protected page.

Please either restore the old single-revision del/undel links in this context or make the checkboxes useful by adding "Del/undel selected revisions" buttons here too.

I noticed that as well and created Gerrit change 7699 to fix it.

  • Bug 26215 has been marked as a duplicate of this bug. ***
  • Bug 26215 has been marked as a duplicate of this bug. ***

Thehelpfulonewiki wrote:

Bumping to high priority. Currently Oversighters have to undelete a page to be able to easily suppress multiple revisions on that page. This is a major security risk as there is time from when the page is undeleted to when the check boxes to suppress the revisions are checked and then these revisions are suppressed - during this time the full contents of the page and its history are available for public view.

Any news regarding this high priority bug?

Removed Special:Log from the bug subject because that was done.

(In reply to Alex Monk from comment #15)

Removed Special:Log from the bug subject because that was done.

It may be useful to point to the changeset where this was done, to serve as example for devs willing to try making a patch.

(Quoting comment #10)

I noticed that as well and created Gerrit change #7699 to fix it.

All three will need some new functions which will be very similar.

My question is should each special page get it's own copy of the function, or should I define these functions in a single file from where it will be called and if so, which class will they come under ?

Obviously it's nice to get things like this done right first time, but when you run into issues like that it's usually okay to just go ahead with either option and any issues should be brought up in code review - rather than sitting on bugzilla waiting.

Currently revision delete only accepts revisions from a single page. This works fine for history page and Special:Undelete as they only operate on revision from one page but creates problems for Special:Contributions and Special:DeletedContributions who have multiple revisions from multiple pages.

Does anyone have an idea about what can be done here other than re-writing revision delete ?

Aklapper lowered the priority of this task from High to Medium.Apr 19 2015, 4:31 PM
Aklapper added a subscriber: Aklapper.

"High priority" since June 2012, hence not a realistic priority if nothing has happened since then (the Priority fields is supposed to reflect reality and does not cause it). Lowering to normal priority; feel free to increase the priority value if you plan to work on this.

lfaraone claimed this task.Apr 26 2015, 9:16 AM
DoRD added a subscriber: DoRD.Apr 26 2015, 12:26 PM
Nemo_bis raised the priority of this task from Medium to High.Apr 26 2015, 5:45 PM

@lfaraone: This issue has been assigned to you six months ago.
Could you please share a status update? Are you still working (or still plan to work) on this issue? Is there anything that others could help with?
Only in case you do not plan to work on this issue anymore, should you be removed as assignee (via 'Reassign / Claim' in the 'Action' dropdown )? Thanks!

Scott added a comment.Dec 12 2015, 2:54 AM

Thanks @Krenair.

@lfaraone, what's the story with this?

Scott set Security to None.

For deleted pages, do we want to show checkboxes + change visibility for all users who have deletedhistory, or just users with suppressrevision? The use case for admins to change the visibility of revisions on an already-deleted page isn't obvious to me.

I'd also like to separate the ask for Special:Undelete from Special:Contributions &c, because the former can be accomplished with the current RevisionDelete code, but the latter requires a rewrite to handle multiple pages in a single RevisionDelete request.

I'd also like to separate the ask for Special:Undelete from Special:Contributions &c, because the former can be accomplished with the current RevisionDelete code, but the latter requires a rewrite to handle multiple pages in a single RevisionDelete request.

I suggest you go for it and separate Special:Contributions/DeletedContributions into a new task. That was one of my issues with the task as well, IIRC.

lfaraone renamed this task from Add checkboxes for revision deletion on Special:Contributions, Special:DeletedContributions, and Special:Undelete to Allow mass-suppression on Special:Undelete.Dec 13 2015, 8:31 PM

Change 258779 had a related patch set uploaded (by LFaraone):
Allow easy suppression of multiple deleted revs

https://gerrit.wikimedia.org/r/258779

For deleted pages, do we want to show checkboxes + change visibility for all users who have deletedhistory, or just users with suppressrevision? The use case for admins to change the visibility of revisions on an already-deleted page isn't obvious to me.

Hmm. I think we should try to ignore the fact that groups such as 'admin' exist on most wikis. We're only interested in revision deletion vs. full suppression rights here - and I believe that if the user currently has the right to revision delete archived revisions, they should get the checkboxes to do so.

OK, so users with deleterevision will see checkboxes. SGTM.

For deleted pages, do we want to show checkboxes + change visibility for all users who have deletedhistory, or just users with suppressrevision? The use case for admins to change the visibility of revisions on an already-deleted page isn't obvious to me.

Hmm. I think we should try to ignore the fact that groups such as 'admin' exist on most wikis. We're only interested in revision deletion vs. full suppression rights here - and I believe that if the user currently has the right to revision delete archived revisions, they should get the checkboxes to do so.

Makes good sense to align it with the right, not the role, especially outside of the WMF space and non-standard wikis.

Sorry, my choice of wording was poor. I meant:

If a page is already deleted, and the user has the ability to use deleterevision but not suppressrevision, does it make sense to expose the mass-revdel UI? The page is deleted; it is already hidden from users without deletedhistory; revision-deleting is vacuous unless you're using suppression.

I guess there's a use case for deleting a page, rev-deling individual revisions, then restoring the page.

Yes. Viewing revision-deleted items and viewing deleted page history are two separate rights, so it makes sense to be able to apply standard revision deletion to deleted page history entries. We already allow this, and changing that is out of the scope of this task. We're just changing how people get to Special:RevisionDelete in the first place so that they can choose to enter multiple revisions instead of one at a time.

The page is deleted; it is already hidden from users without deletedhistory; revision-deleting is vacuous unless you're using suppression.

Or you're planning to undelete, but want to revdel the content that made it be deleted before restoring it instead of after?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 7 2016, 7:31 PM

Change 258779 merged by jenkins-bot:
Allow easy suppression of multiple deleted revs

https://gerrit.wikimedia.org/r/258779

DoRD added a comment.Feb 20 2016, 2:56 PM

I used this new capability the first time yesterday and found a bug:

After I carried out a suppression on revisions of a deleted page, the usual status screen failed to appear, so I went to the log to see if it had completed properly. When I clicked on the page name, I was unexpectedly taken to a page creation screen. Going back to the log, I realized the problem.

If there is a space in the name of the page where the suppression is carried out, the log entry now has all the spaces changed to plus signs ("+"). For example, assuming that the deleted page is [[John q public]], this would be the log entry:

00:00, 15 February 2016 Oversighter (talk | contribs | block) secretly changed visibility of 2 revisions on page John+q+public: content hidden and applied restrictions to administrators ...

I looked at the enwiki suppression log and found that this has happened several times since February 9.

Nemo_bis closed this task as Resolved.Feb 21 2016, 10:15 AM

Ok, let's continue there then.

Guanaco rescinded a token.
Guanaco added a subscriber: Guanaco.